Bug 130247 - gdmthemetester doesn't iterate well
gdmthemetester doesn't iterate well
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 10:18 EDT by Paul W. Frields
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 13:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for bash script, fixes XNESTSIZE and removes X lock file (605 bytes, patch)
2004-08-18 10:22 EDT, Paul W. Frields
no flags Details | Diff
WAY better patch to do the same thing, only cleaner (833 bytes, patch)
2004-08-18 11:27 EDT, Paul W. Frields
no flags Details | Diff

  None (edit)
Description Paul W. Frields 2004-08-18 10:18:31 EDT
Description of problem:
Problem 1: The gdmthemetester bash script, used to check appearance of
gdm themes by running gdmXnest, doesn't work well if you call it more
than once on a single machine. It will always launch Xnest, but the
gdmgreeter won't start within that display, citing an Xlib "protocol
error." Occasionally it will work again, but not usually.

Problem 2: Beyond that, no matter what the user sets XNESTSIZE to, the
resulting gdm always runs as 640x480, anchored to the upper left
corner of an $XNESTSIZE-sized Xnest root window.

This appears to be because (Prob #1) the X lock file /tmp/.X*-lock
isn't removed for the display opened by Xnest; and (Prob #2) the eval
being run doesn't correctly allows gdmXnest to catch the geometry (set
through $XNESTSIZE) the user wants.


Version-Release number of selected component (if applicable):
2.6.0.0-3

How reproducible:
Every time for the XNESTSIZE problem; almost every time for the 

Steps to Reproduce:
1. Open a standard X session (I am using a default GNOME), and a terminal.
2. Run:  export XNESTSIZE="1024x768"
3. Run:  gdmthemetester console <dir-with-greeter-files>
3. Notice that gdmgreeter is not using requested geometry.
4. Repeat several times; notice only sporadic success on repeat tries.
  
Actual results:
(#1) Xnest does not use the requested geometry set through XNESTSIZE
as noted in both the script and the syntax help for gdmthemetester
(#2) Repeat runs are often broken

Expected results:
(#1) XNESTSIZE should be used correctly
(#2) Repeat runs should work

Additional info:
I'll attach a patch which makes this work correctly.
Comment 1 Paul W. Frields 2004-08-18 10:22:21 EDT
Created attachment 102838 [details]
Patch for bash script, fixes XNESTSIZE and removes X lock file

I'm not sure whether my fix for the X lock file is strictly "legal." It does
seem to vastly improve the situation with running the script repeatedly.
Comment 2 Paul W. Frields 2004-08-18 11:27:27 EDT
Created attachment 102844 [details]
WAY better patch to do the same thing, only cleaner

Sorry about the last one. This patch is a big improvement, avoids bash-ism, and
makes script less repetitive.
Comment 3 Matthew Miller 2005-04-26 11:12:27 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Paul W. Frields 2005-04-26 11:28:08 EDT
This problem still exists in FC3, with all updates-released applied.  Moving
version to FC3.  Please remove NEEDINFO status if applicable.  I will try to
test this on FC4t2 if possible.

Please keep in mind I did create a patch for this problem, which was just a few
bash script lines.  Could you look at it and see if it works for you?
Comment 5 Paul W. Frields 2005-04-26 11:35:43 EDT
Whoops, I also realize I underthought the use of $DISPLAY/$PARDISPLAY remotely
in the patch... those cut statements may need to use "-d ':' -f2" instead of
"-c2-" for options.  Sorry for the stupidity.
Comment 6 Matthew Miller 2005-04-26 12:00:32 EDT
Oh, hey, this is something that bugs me personally all the time. 

Tested on FC3. There's still a problem with the geometry -- if you don't set
XNESTSIZE at all, the theme doesn't fill the default window. But now at least if
you *do*, it does the right thing.

It might be most productive to move all of this upstream and get it fixed in
gnome itself....
Comment 7 Matthew Miller 2006-07-10 16:26:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 Paul W. Frields 2006-07-11 13:53:43 EDT
Works in current FC5 (gdm-2.14.9-1).  Closing WORKSFORME, since I'm not sure at
what point this was taken care of -- bad tracking on my part, sorry.

Note You need to log in before you can comment on or make changes to this bug.